package com.fuyuanshen.app.domain.vo;

import com.fuyuanshen.app.domain.AppOperationVideo;
import cn.idev.excel.annotation.ExcelIgnoreUnannotated;
import cn.idev.excel.annotation.ExcelProperty;
import com.fuyuanshen.common.excel.annotation.ExcelDictFormat;
import com.fuyuanshen.common.excel.convert.ExcelDictConvert;
import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;



/**
 * 操作视频视图对象 app_operation_video
 *
 * @author Lion Li
 * @date 2025-07-02
 */
@Data
@ExcelIgnoreUnannotated
@AutoMapper(target = AppOperationVideo.class)
public class AppOperationVideoVo implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @ExcelProperty(value = "主键id")
    private Long id;

    /**
     * 视频名称
     */
    @ExcelProperty(value = "视频名称")
    private String videoName;

    /**
     * 视频链接
     */
    @ExcelProperty(value = "视频链接")
    private String videoUrl;

    /**
     * 设备di
     */
    @ExcelProperty(value = "设备di")
    private Long deviceId;

    /**
     * 备注
     */
    @ExcelProperty(value = "备注")
    private String remark;


}
