package com.fuyuanshen.app.mapper;

import com.fuyuanshen.app.domain.AppMenu;
import com.fuyuanshen.app.domain.vo.AppMenuVo;
import com.fuyuanshen.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 菜单权限Mapper接口
 *
 * @author Lion Li
 * @date 2025-06-27
 */
public interface AppMenuMapper extends BaseMapperPlus<AppMenu, AppMenuVo> {
    /**
     * 根据用户ID查询权限
     *
     * @param userId 用户ID
     * @return 权限列表
     */
    List<String> selectMenuPermsByUserId(Long userId);
}
